--[[
	/####################################\
	##                                  ##
	##            SlotSugar             ##
	##    Einfachere Slot-Verwendung    ##
	##                                  ##
	##   Autor: Benjamin Hogl (BH2),    ##
	##          benjamin.hogl@gmx.de    ##
	##   Version 0.1, 2017-01-06        ##
	##                                  ##
	\####################################/
]]

local Slot = {}

local mt = {}
function mt:__index(nr) -- wenn `Slot[nr]` abgerufen wird
	local erfolg, wert = EEPLoadData(nr)
	if erfolg then
		return wert
	else
		return nil
	end
end

function mt:__newindex(nr, wert) -- wenn `Slot[nr] = wert` zugewiesen wird
	local erfolg = EEPSaveData(nr, wert)
	if not erfolg then
		print("Achtung: Der Wert "..wert.." konnte nicht in Slot "..nr.." gespeichert werden!")
	end
end

setmetatable(Slot, mt)
return Slot
